/* -cr_beg-
* ********************************************************************
* IBM Confidential
* OCO Source Materials
* 5724-U38, 5724-U39, 5724-U48, 5655-V17, 5655-V19, 5655-V35, 5655-V37
* (C) Copyright IBM Corp. 2013
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has
* been deposited with the U.S. Copyright Office.
* ********************************************************************
* -cr_end-
*/

#ifndef MOD_HASH_ERR_CODES_H
#define MOD_HASH_ERR_CODES_H

#ifdef __cplusplus
extern "C" {
#endif

#define MOD_SUCCESS 0
#define MOD_FAILURE -1

#define MODHASHBASE                             0x00001FC3 //(8131)
//Error Codes
#define MOD_HASH_ERR_EXIT_INIT_NOT_FOUND        MODHASHBASE + 0  //8131
#define MOD_HASH_ERR_EXIT_GET_KEY_NOT_FOUND     MODHASHBASE + 1  //8132
#define MOD_HASH_ERR_EXIT_TERM_NOT_FOUND        MODHASHBASE + 2  //8133
#define MOD_HASH_ERR_EXIT_NOT_FOUND             MODHASHBASE + 3  //8134
#define MOD_HASH_ERR_EXIT_INIT_FAILED           MODHASHBASE + 4  //8135
#define MOD_HASH_ERR_EXIT_GET_KEY_EMPTY         MODHASHBASE + 5  //8136
#define MOD_HASH_ERR_EXIT_GET_KEY_FAILED        MODHASHBASE + 6  //8137
#define MOD_HASH_ERR_MALLOC_FAILED              MODHASHBASE + 7  //8138
#define MOD_HASH_ERR_SEED_HMAC_EXIT_NOT_FOUND   MODHASHBASE + 8  //8139
#define MOD_HASH_ERR_SEED_HMAC_EXIT_NO_KEY      MODHASHBASE + 9  //8140
#define MOD_HASH_ERR_PARAM_VAL_NO_LENGTH        MODHASHBASE + 10 //8141
#define MOD_HASH_ERR_GLOBAL_MUTEX_LOCK_FAILED   MODHASHBASE + 11 //8142
#define MOD_HASH_ERR_GLOBAL_MUTEX_UNLOCK_FAILED MODHASHBASE + 12 //8143
#define MOD_HASH_ERR_NULL_BASENODE              MODHASHBASE + 13 //8144
#define MOD_HASH_ERR_TOKEN_NOTFOUND             MODHASHBASE + 14 //8145
#define MOD_HASH_ERR_MSG_ID_NOT_FOUND           MODHASHBASE + 15 //8146
#define MOD_HASH_ERR_SHA_INIT_FAILED            MODHASHBASE + 16 //8147
#define MOD_HASH_ERR_SHA_UPDATE_FAILED          MODHASHBASE + 17 //8148
#define MOD_HASH_ERR_SHA_FINAL_FAILED           MODHASHBASE + 18 //8149
#define MOD_HASH_INFO_HMAC_WITH_EXIT_KEY        MODHASHBASE + 19 //8150
#define MOD_HASH_INFO_HMAC_WITH_SEED_KEY        MODHASHBASE + 20 //8151
#define MOD_HASH_INFO_SHA256                    MODHASHBASE + 21 //8152
        
#ifdef __cplusplus
}
#endif


#endif
